import { NgModule } from '@angular/core';

import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatTabsModule } from '@angular/material/tabs';
import { MatInputModule } from '@angular/material/input';
import { MatDialogModule } from '@angular/material/dialog';
import { MatSelectModule } from '@angular/material/select';
import { MatButtonToggleModule } from '@angular/material/button-toggle';

import { FuseCardModule } from '@fuse/components/card';
import { SharedModule } from 'app/shared/shared.module';

import { FuseAlertModule } from '@fuse/components/alert';
import { HomeComponent } from '../component/home.component';
import { COMPOSE } from './compose';

@NgModule({
  declarations: [HomeComponent, COMPOSE],
  exports: [HomeComponent],
  imports: [
    MatButtonModule,
    MatIconModule,
    MatFormFieldModule,
    MatTabsModule,
    MatInputModule,
    MatDialogModule,
    MatSelectModule,
    MatButtonToggleModule,

    FuseCardModule,
    SharedModule,

    FuseAlertModule,
  ],
})
export class ComposeModule {}
